﻿using System;
using I2.Loc;

public static class Product
{
	public static Product.Type type { get; private set; }

	public static bool SPP
	{
		get
		{
			return Product.type != Product.Type.AAA && Product.type != Product.Type.BBB;
		}
	}

	public static bool VBA
	{
		get
		{
			return Product.type == Product.Type.BBB || Product.type == Product.Type.DDD;
		}
	}

	public static bool PIEQ
	{
		get
		{
			return Product.type == Product.Type.AAA || Product.type == Product.Type.BBB;
		}
	}

	public static bool SIBD
	{
		get
		{
			return Product.type == Product.Type.CCC || Product.type == Product.Type.DDD;
		}
	}

	public static Product.Language WMZI
	{
		get
		{
			if (!Product.SPP)
			{
				return Product.Language.INKD;
			}
			string currentLanguage = LocalizationManager.CurrentLanguage;
			return (!(currentLanguage == "English")) ? Product.Language.INKD : Product.Language.QBED;
		}
		set
		{
			if (!Product.SPP)
			{
				return;
			}
			LocalizationManager.CurrentLanguage = Product.EnumConvert.ToI2LocalizeLanguageName(value);
		}
	}

	public static Product.Language OOWU
	{
		get
		{
			return (!Product.SPP) ? Product.Language.INKD : Product.Language.QBED;
		}
	}

	public static string gameTitle
	{
		get
		{
			return LocalizationManager.GetTranslation("System/カスタムオーダーメイド3D 2", true, 0, true, false, null, null);
		}
	}

	public static string gameDataPath
	{
		get
		{
			return string.Empty;
		}
	}

	public static bool enabeldAdditionalRelation
	{
		get
		{
			return Product.type != Product.Type.AAA;
		}
	}

	public static void Initialize(AFileSystemBase fileSystem)
	{
		Product.type = Product.Type.AAA;
		Product.WMZI = Product.OOWU;
	}

	public static void OnApplicationQuit()
	{
	}

	public enum Type
	{
		AAA,
		BBB,
		CCC,
		DDD
	}

	public enum Language
	{
		INKD,
		QBED
	}

	public static class EnumConvert
	{
		public static string GetString(Product.Language language)
		{
			if (language == Product.Language.INKD)
			{
				return "日本語";
			}
			return "英語";
		}

		public static string ToI2LocalizeLanguageName(Product.Language language)
		{
			if (language == Product.Language.INKD)
			{
				return "Japanese";
			}
			if (language != Product.Language.QBED)
			{
				return "Japanese";
			}
			return "English";
		}

		public static string GetTerm(Product.Language language)
		{
			return "System/言語/" + Product.EnumConvert.GetString(language);
		}
	}
}
